Zero-day vulnerability in Sophos Firewall

Input validation error
CVE-2022-1040

Sophos has observed this vulnerability being used to target a small set of specific organizations primarily in the South Asia region.

Vulnerability details

Advisory: SB2022032801 - Remote code execution in Sophos Firewall

Vulnerable component: Sophos Firewall

CVE-ID: CVE-2022-1040

CVSSv3 score: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H/E:H/RL:O/RC:C

CWE-ID: CWE-20 - Improper Input Validation

Description:

The vulnerability allows a remote attacker to compromise the affected device.

The vulnerability exists due to insufficient validation of user-supplied input in the User Portal and Webadmin. A remote attacker can send specially crafted requests to the web interface and execute arbitrary code on the system.

Successful exploitation of the vulnerability may allow an attacker to compromise the affected device.

Note, the vulnerability is being actively exploited in the wild.